{
    "path": "$OET_PATH/testcases/function_test/pkg_test/cppcheck/cppcheck",
    "machine num": 1,
    "cases": [
        {
            "name": "test_cppcheck_cppcheck_file_filter",
            "desc": "仅分析匹配给定过滤字符串的文件"
        },
        {
            "name": "test_cppcheck_cppcheck_max_ctu_depth",
            "desc": "设置跨翻译单元分析的最大深度"
        },
        {
            "name": "test_cppcheck_cppcheck_q",
            "desc": "不显示进度报告"
        },
        {
            "name": "test_cppcheck_cppcheck_version",
            "desc": "打印版本号"
        },
        {
            "name": "test_cppcheck_function_install",
            "desc": "验证软件包可以通过包管理器安装"
        },
        {
            "name": "test_cppcheck_function_version",
            "desc": "验证软件包版本信息输出"
        },
        {
            "name": "test_cppcheck_function_uninstall",
            "desc": "验证软件包可以通过包管理器卸载"
        }
    ]
}